package com.androidbegin.buttonclicktutorial;

import java.util.List;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class Alarm 
{
	public static final String TABLE_NAME = "alarm";
	public static final String COL_ID = "_id";
	public static final String COL_CREATEDTIME = "created_time";
	public static final String COL_MODIFIEDTIME = "modified_time";
	public static final String COL_NAME = "name";
	public static final String COL_FROMDATE = "from_date";
	public static final String COL_TODATE = "to_date";
	public static final String COL_RULE = "rule";
	public static final String COL_INTERVAL = "interval";
	public static final String COL_SOUND = "sound";
	
	public static final String HIGH = "H";
	public static final String MED = "M";
	public static final String LOW = "L"; 
	
	private long createdTime;
	private long modifiedTime;
	private String name;
	private String fromDate;
	private String toDate;
	private String at;
	private String rule;
	private String interval;
	private Boolean sound = Boolean.FALSE;
	private List<AlarmTime> occurrences;
	
	
	private long id;
	private String titre;
	private long date;
	private long start_time;
	private long end_time;
	private String phone;
	private String notes;
	

/*	
	+ KEY_ID + " INTEGER PRIMARY KEY,"
	+ COL_TITRE + " TEXT," 
	+ COL_DATE + " INTEGER,"
	+ COL_START_TIME + " INTEGER," 
	+ COL_END_TIME + " INTEGER," 
	+ COL_PHONE + " TEXT," 
	+ COL_NOTES + " TEXT," 
	+ COL_STATUS + " TEXT," 
    + COL_CREATEDTIME + " INTEGER," 
    + COL_MODIFIEDTIME + " INTEGER" + ")";
*/

	// public static final String COL_TITRE = "titre";
	// public static final String COL_DATE = "date";
	// public static final String COL_START_TIME = "start_time";
	// public static final String COL_END_TIME = "end_time";
	// public static final String COL_PHONE = "phone";
	// public static final String COL_NOTES = "notes";

	
	
	
	public Alarm() {}
	
	public Alarm(long id)
	{
		this.id = id;
	}
	
	public void reset()
	{
		//super.reset();
		createdTime = 0;
		modifiedTime = 0;
		name = null;
		fromDate = null;
		toDate = null;
		rule = null;
		interval = null;
		sound = Boolean.FALSE;
		occurrences = null;
		
		
		
		titre = null;
		date = 0;
		start_time = 0;
		end_time = 0;
		phone = null;
		notes = null;
		
		
		
	}	
	
	public long getId() 
	{
		return id;
	}
	public void setId(long id)
	{
		this.id = id;
	}
	
	/****/
	public long getStart_time() 
	{
		return start_time;
	}
	public void setStart_time(long start_time) 
	{
		this.start_time = start_time;
	}
	
	/****/
	public long getEnd_time() 
	{
		return end_time;
	}
	public void setEnd_time(long end_time) 
	{
		this.end_time = end_time;
	}
	
	/****/
	public String getTitre() 
	{
		return name;
	}
	public void setTitre(String name) 
	{
		this.name = name;
	}
	
	
	
	
	public String getPhone() 
	{
		return phone;
	}
	public void setPhone(String phone)
	{
		this.phone = phone;
	}
	/****/
	public String getNotes() 
	{
		return notes;
	}
	public void setNotes(String notes) 
	{
		this.notes = notes;
	}
/*
	private long id;
	private String titre;
	private long date;
	private long start_time;
	private long end_time;
	private String phone;
	private String notes;
*/
	
	
	
	
	
/*****************************************************/	
	
	/****/
	public long getCreatedTime()
	{
		return createdTime;
	}
	public void setCreatedTime(long createdTime) 
	{
		this.createdTime = createdTime;
	}
	/****/
	public long getModifiedTime() 
	{
		return modifiedTime;
	}
	public void setModifiedTime(long modifiedTime) 
	{
		this.modifiedTime = modifiedTime;
	}
	/****/
	public String getName() 
	{
		return name;
	}
	public void setName(String name) 
	{
		this.name = name;
	}
	/****/
	public String getFromDate() 
	{
		return fromDate;
	}
	public void setFromDate(String fromDate)
	{
		this.fromDate = fromDate;
	}
	/****/
	public String getToDate() 
	{
		return toDate;
	}
	public void setToDate(String toDate) 
	{
		this.toDate = toDate;
	}
	
	
	public String getAt() 
	{
		return at;
	}
	public void setAt(String at) 
	{
		this.at = at;
	}
	
	/****/
	public String getRule() 
	{
		return rule;
	}
	public void setRule(String rule) 
	{
		this.rule = rule;
	}
	/****/
	public String getInterval()
	{
		return interval;
	}
	public void setInterval(String interval) 
	{
		this.interval = interval;
	}
	/****/
	public Boolean getSound()
	{
		return sound;
	}
	public void setSound(Boolean sound)
	{
		this.sound = sound;
	}	
	/****/
	
	

}
